<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hssx.pcbms.mapper.GoodsNoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hssx.pcbms.entity.GoodsNo">
        <id column="id" property="id" />
        <result column="model_no" property="modelNo" />
        <result column="division_code" property="divisionCode" />
        <result column="suffix_code" property="suffixCode" />
        <result column="state" property="state" />
        <result column="indate" property="indate" />
        <result column="goods_id" property="goodsId" />
        <result column="user_id" property="userId" />
        <result column="update_indate" property="updateIndate" />
        <result column="is_maintain" property="isMaintain" />
        <result column="good_sn_no" property="goodSnNo" />
        <result column="label_id" property="labelId" />
        <result column="model_id" property="modelId" />
        <result column="u_bit_num" property="uBitNum" />
        <result column="power" property="power" />
        <result column="rated_current" property="ratedCurrent" />
        <result column="rated_voltage" property="ratedVoltage" />
        <result column="serial_number" property="serialNumber" />
        <result column="affiliate" property="affiliate" />
        <result column="device_category" property="deviceCategory" />
        <result column="stock" property="stock" />
        <result column="server_weight" property="serverWeight" />
        <result column="manufacturer" property="manufacturer" />
        <result column="supplier" property="supplier" />
        <result column="charger_id" property="chargerId" />
        <result column="charger_name" property="chargerName" />
        <result column="maintain_clc" property="maintainClc" />
        <result column="maintenance_phone" property="maintenancePhone" />
        <result column="last_maintainer_id" property="lastMaintainerId" />
        <result column="last_maintainer_name" property="lastMaintainerName" />
        <result column="next_maintainer_id" property="nextMaintainerId" />
        <result column="next_maintainer_name" property="nextMaintainerName" />
        <result column="last_update_time" property="lastUpdateTime" />
        <result column="next_update_time" property="nextUpdateTime" />
        <result column="grounding_time" property="groundingTime" />
        <result column="undercarriage_time" property="undercarriageTime" />
        <result column="first_use_time" property="firstUseTime" />
        <result column="current_state" property="currentState" />
        <result column="alarm_level" property="alarmLevel" />
        <result column="subordinate_user_id" property="subordinateUserId" />
        <result column="subordinate_user" property="subordinateUser" />
        <result column="floor" property="floor" />
        <result column="room" property="room" />
        <result column="column_place" property="columnPlace" />
        <result column="region" property="region" />
        <result column="is_rack" property="isRack" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, model_no, division_code, suffix_code, state, indate, goods_id, user_id, update_indate, is_maintain, good_sn_no, label_id, model_id, u_bit_num, power, rated_current, rated_voltage, serial_number, affiliate, device_category, stock, server_weight, manufacturer, supplier, charger_id, charger_name, maintain_clc, maintenance_phone, last_maintainer_id, last_maintainer_name, next_maintainer_id, next_maintainer_name, last_update_time, next_update_time, grounding_time, undercarriage_time, first_use_time, current_state, alarm_level, subordinate_user_id, subordinate_user, floor, room, column_place, region, is_rack
    </sql>

</mapper>
